IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_PRODUCTSUMMARY') 
 CREATE TABLE T_BD_PRODUCTSUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPARENT BIGINT DEFAULT 0 NOT NULL,
FCATEGORY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FPRODUCT_CODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUB_CATEGORY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFERING_CATEGORY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPANY_BRAND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRODUCT_BRAND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME_STANDARD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFERING_SOURCE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOLUTION_TYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOFFERING_MODEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENGLISH_DESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHINESE_DESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRODUCT_LIFESPAN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRODUCT_TYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHINESE_CLASSIFICATION_L NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENGLISH_CLASSIFICATION_L NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISTORY_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTL9000 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRODUCT_SERIES_SYMBOL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRODUCT_SEQUENCE_CODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLIFECYLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBSTITUTE_OFFERING NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBSTITUTEOFFERINGDATE DATETIME,
FQUALIFIED_SOFTWARE BIGINT DEFAULT 0 NOT NULL,
FMANAGED_BY_VERSION CHAR(1) DEFAULT '0' NOT NULL,
FFULFILLMENT_CENTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FECOSYSTEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPOSED_TO_INTERNET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXTERNAL_MODEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBENEFIT_PROJECT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMANUFACTURING_ENTITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_PRODUCTSUMMARY_L') 
 CREATE TABLE T_BD_PRODUCTSUMMARY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMKT_NAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);